<!doctype html>
<!--
This index page should contain a mock PHP registration form. 
The topic of your form can be a feedback form, an information request form (as seen in my example), a website registration form, or any topic. 
It needs to include the following PHP concepts though.
This page must use HTML. HTML must be properly coded and use comments.
The form must have at least 3 text fields.
The form must have a date drop down list (Month, Day, and Year) that is populated by a PHP array. 
You must use an array for this portion of the assignment! A date picker will not meet the requirement.
You must have at least one set of radio buttons.
You must have at least 3 check boxes.
You must have at least one text area (comment box).
You must have a working submit button that takes you to a different display (handle form) page.
The display page needs to check and validate all fields, except the date drop down list and checkboxes. The validation must be done by use of PHP, not front end technologies, such as "required" attribute of HTML <input> tag.
The display page needs to display a "thank you" message with all the information filled by the user if all fields (except the drop down list and checkboxes) are validated. Otherwise, a  warning message will be displayed with all the missed fields (except the drop down list and checkboxes).
The form webpages should incorporate: Arrays, Conditions, Operators, and Loops.
Please also use a PHP include() to pull in a header and footer.-->

<?php
include('header.php');
?>

<html>
<head>
    <title>Give ME Your Card Info</title>
    
</head>

<style type="text/css">
  body {
      background-image: url('money2.jpg');
      background-size: cover;
      background-position: center;
      background-repeat: no-repeat;
    }
</style>


<body>
    
<br>
<br>
<br>

<h1 align= "Center">Give ME Your Card Info</h1>
<h4 align= "Center">Assignment 4 and 5 | Ariana Jimenez</h4>
<h4 align= "Center">September 23rd, 2024</h4>

<form action= "form_handle.php" method= "post">  

	<fieldset>
	    <legend> 
	     Please verify the information before making a purchase: 
	     </legend>

<h3>Store Information:</h3>
	 <p>What stores will you be buying from?<!--Checkbox--> 
    <br>
        Amazon<input type="checkbox" name="Amazon" value="Amazon">
        <br>
        Target<input type="checkbox" name="Target" value="Target">
        <br>
        Costco<input type="checkbox" name="Costco" value="Costco">
        <br>
		</p>
<br>
<h3>Personal Information:</h3>
	<p>First Name: <input type="text" name="first_name" size="20" maxlength="40"></p> 
	<p>Last Name: <input type="text" name="last_name" size="20" maxlength="40"></p>
	<p>Phone Number: <input type="text" name="phone_number" size="20" maxlength="60"></p> 
	<p>Email Address: <input type="text" name="email_address" size="30" maxlength="60"></p> 
	
<br>	
<h3>Credit Card Information:</h3>
	<p>Card Number: <input type="text" name="card_number" size="30" maxlength="60"></p>
	
	Experation Date: <!--Drop down--> 
	<select name="month">
            <option value="">Month</option>
            <?php
            $months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
            foreach ($months as $month) {
                echo "<option value=\"$month\">$month</option>";
            }
            ?>
        </select>
		 <select name="year">
            <option value="">Year</option>
            <?php
            
            $currentYear = date('Y'); // Get the current year
            $endYear = $currentYear + 10; // Set how many years into the future
        
            for ($year = $currentYear; $year <= $endYear; $year++) {
                echo "<option value=\"$year\">$year</option>";
            }
            ?>
        </select><br><br>
	    
	    CVC: <input type="CVC" name="CVC" size="10" maxlength="60">
	    

	<p>Remember Card Information: <!--Radio button--> 
	    <input type="radio" name="trust" value="Yes"> Yes 
		<input type="radio" name="trust" value="No"> No
		</p>

	<p>Country: <input type="Country" name="Country" size="30" maxlength="60"></p>
	<p>ZIP: <input type="ZIP" name="ZIP" size="30" maxlength="60"></p>
	
	<br>
	
	
	<h3>Delivery Instructions:</h3>
	<p>Comments: <textarea name="comments" rows="3" cols="40"></textarea></p>
	
	</fieldset>

	<p align="center"><input type="submit" name="submit" value="Submit"></p>
</form>
</body>

</html>
<?php
include('footer.php');
?>

